import pymysql.cursors #引入之前安装用于连接MYSQLDB的库
import datetime


class MySQLPipeline(object):
    def __init__(self):
        # 创建于数据库的连接
        self.connect = pymysql.connect(
            host='10.3.14.20',  # DB地址
            port=14062,  # DB端口
            db='scrapySpiderTest',  # DB名
            user='root',  # DB用户名
            passwd='usestudio-1',  # DB密码
            charset='utf8',  # 编码方式
            use_unicode=True)
        # 通过cursor执行CRUD
        self.cursor = self.connect.cursor()

    def process_item(self, item, spider):
        # 第一个参数是MYSQL语句
        # 第二个参数分别是作者、内容、标签、当前时间
        self.cursor.execute(
            """INSERT INTO content(author, content, tag, lastUpdateTime) value (%s, %s, %s, %s)""",
            (item['author'], item['content'], item['tag'], datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
        )
        # 执行sql语句
        self.connect.commit()
        return item  # 必须实现返回
